Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
cppNamespace | C++ namespace (convention: name::space::for::api). |  | OpenAPI
modelNamePrefix | Prefix that will be prepended to all model names. |  | OAI

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
OAIHttpFileElement | #include "OAIHttpFileElement.h"

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- QDateTime
- QString
- qint64
- qint32
- bool
- QByteArray
- double
- QDate
- float

##
RESERVED WORDS

- struct
- auto
- xor_eq
- const_cast
- decltype
- alignas
- extern
- do
- float
- while
- constexpr
- operator
- bitand
- protected
- continue
- else
- friend
- mutable
- compl
- typeid
- catch
- export
- if
- case
- dynamic_cast
- not_eq
- new
- using
- static
- void
- sizeof
- bitor
- double
- this
- signed
- noexcept
- typedef
- enum
- char16_t
- explicit
- static_cast
- true
- try
- reinterpret_cast
- nullptr
- requires
- template
- private
- virtual
- bool
- const
- concept
- static_assert
- for
- delete
- long
- switch
- default
- not
- goto
- public
- and
- and_eq
- linux
- or_eq
- xor
- class
- wchar_t
- alignof
- or
- break
- false
- thread_local
- char32_t
- volatile
- union
- int
- inline
- throw
- char
- namespace
- short
- unsigned
- asm
- return
- typename
- register

Last updated on 1/9/2020